Subject: Re: [RGC/PATCHv2] grep: submodule support

From: Chris Packham <[email-masked]>
Date: Sat, 16 Oct 2010 19:13:27 -0700

On 16/10/10 08:54, Jens Lehmann wrote:
> Am 16.10.2010 01:26, schrieb Chris Packham:
>> Here is my updated grep support for submodules series.
> 
> Thanks Chris and Duy, I added this series to my git-submod-enhancements
> repo on github and will give it some testing next week.
> 
>> Chris Packham (4):
>>       grep: output the path from cwd to worktree
>>       grep_cache: check pathspec first
>>       add test for git grep --recursive
> 
> Hmm, is it useful to add tests before adding the feature tested? I
> thought it makes more sense to add them in the same commit or after
> adding what is tested (e.g. to reduce the noise when bisecting
> later). Or am I missing something here?

That's just reflects my personal preference to write the tests first
(influenced by a former colleague who was keen on extreme
programming/test driven development). Eventually these can be swapped or
squashed as needed, for now it's probably easier to review them separately.

> 
> (And by the way: the test script should be executable)

OK will fix.

> 
>>       grep: add support for grepping in submodules
> 
> Nit: The commit message (5/5) talks about the old option name
> "--recurse-submodules" instead of the "--recursive" the patch
> is adding.

Yeah I just noticed that. I'll update the commit message.

> 
>> Nguyễn Thái Ngọc Duy (1):
>>       worktree: provide better prefix to go back to original cwd